<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">ShadowCasterSceneQueryListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SceneManager::ShadowCasterSceneQueryListener Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#aeceeb0647c43683a3cd63bac67683608">mCamera</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a81e7dff0e7e785b3a04395f047b83789">mCasterList</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a50790e5cf103d4fe074336f8112323b6">mFarDistSquared</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#afaede03e276bd3bcaa8ee730a707da81">mIsLightInFrustum</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#afdb68b6d7f99e91e9a0d3869e61ef741">mLight</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a63ba610cc309ef74503858e1f109c2b2">mLightClipVolumeList</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a616f9955cc0621a38f1db12549f2aff6">mSceneMgr</a></td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a1c41f4f880c9ee86cab22d72bd7e4487">prepare</a>(bool lightInFrustum, const PlaneBoundedVolumeList *lightClipVolumes, const Light *light, const Camera *cam, ShadowCasterList *casterList, Real farDistSquared)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#ae5790f3c5368f8157c72a2d4092e67c6">queryResult</a>(MovableObject *object)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a3ed87926c960fcea5fa701b61c92cd2c">queryResult</a>(SceneQuery::WorldFragment *fragment)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a0ee39ebee8358732e1ccad9d93d5a58e">ShadowCasterSceneQueryListener</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQueryListener.html#ad0ea5280ec1032a5170999eb7ae3fb2b">~SceneQueryListener</a>()</td><td><a class="el" href="classOgre_1_1SceneQueryListener.html">Ogre::SceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
